function onBegin()
    disableRetry()
    disableMovement()
    setFlag("darken", true)
    wait(0.5)
    instantTeleportTo(31180, 332, "BA1")
    setFlag("darken", false)
    enableMovement()
    endCutscene()
end